{ ... }:

let
  channels-nixos-stable-path = (builtins.fetchTarball https://github.com/NixOS/nixpkgs-channels/archive/7e88992a8c7b2de0bcb89182d8686b27bd93e46a.tar.gz);
  channels-nixos-stable = import channels-nixos-stable-path { overlays = [ (import ./nix/overlay.nix) ]; };

  niv = (import (channels-nixos-stable.fetchFromGitHub {
    owner = "nmattia";
    repo = "niv";
    rev = "5e9671a9a87c240b1c6ce981d04ad23ba4291451";
    sha256 = "08j7msxkv452pyxnh0sgn6h9930i5mk9mszba49bj5401gzmfb8a";
  }) {}).niv;
in
with channels-nixos-stable;
stdenv.mkDerivation {
  name = "infra-env";
  buildInputs = [
    (with import (channels-nixos-stable-path+"/nixos") { configuration = {}; }; with config.system.build; [ nixos-generate-config nixos-install nixos-enter manual.manpages ])
    just
    git-crypt
    vcsh
    gnupg

    vncdo
    tesseract
    imagemagick

    esh

    xorg.xwininfo


    # testing
    alacritty
    niv
  ];

  # Set Environment Variables
  RUST_BACKTRACE = 1;
}
